%define upstream_name    XML-Compile-Cache
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cache compiled XML translators
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Report) >= 1.260.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildRequires: perl(XML::Compile) >= 1.600.0
BuildRequires: perl(XML::Compile::Tester) >= 0.20.0
BuildRequires: perl(XML::LibXML::Simple) >= 0.950.0
BuildArch:  noarch

%description
Extends XML::Compile::Schema/"DESCRIPTION".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.60.0-3.mga9
+ Revision: 1811034
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.60.0-2.mga8
+ Revision: 1519798
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 tv <tv> 1.60.0-1.mga7
+ Revision: 1322823
- update to 1.06

* Thu Sep 20 2018 umeabot <umeabot> 1.50.0-3.mga7
+ Revision: 1287298
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.50.0-2.mga7
+ Revision: 1167435
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.50.0-1.mga7
+ Revision: 1157111
- new version 1.05

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-3.mga6
+ Revision: 1035895
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.40.0-2.mga6
+ Revision: 970037
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.40.0-1.mga6
+ Revision: 884846
- update to 1.04

* Mon Jun 22 2015 sander85 <sander85> 1.30.0-1.mga6
+ Revision: 838558
- update to 1.03

* Mon Dec 22 2014 buchan <buchan> 1.20.0-1.mga5
+ Revision: 804806
- imported package perl-XML-Compile-Cache


* Mon Dec 22 2014 Buchan Milne <buchan> 1.02-1mga
- initial mageia release, generated with cpan2dist
